org.eclnt.jsfserver.elements.util

## Interface IFIXGRIDExportInfoProvider

- All Known Implementing Classes:
    DefaultFIXGRIDExportInfoProvider

      public interface IFIXGRIDExportInfoProvider

  Thin interface contains functions that provide information for the export of data within the `FIXGRIDPDFExporter` and the `FIXGRIDExcelExporter`.
  The set of functions may be extended in future time. Please use the default implementation `DefaultFIXGRIDExportInfoProvider` and extend this implementation - it will be kept compatible and will provide some default behavior for new functions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `findAlignmentForDataCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findAlignmentForFooterCell(int footerRowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findAlignmentForHeaderCell(int headerRowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findBackgroundColorForDataCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findBackgroundColorForFooterCell(int footerRowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findBackgroundColorForHeaderCell(int headerRowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `int` | `findColumnWidthForPDFColumn(ColumnInfo column, int calculatedWidth)` Explicitly pass back the PDF width of the column.
    `java.lang.String` | `findFontForDataCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findFontForFooterCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findFontForHeaderCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.Float` | `findPDFHeightForDataRow(int rowIndex)` Height that is passed as fixed height into the cells of a data row.
    `java.lang.Float` | `findPDFHeightForFooterRow(int rowIndex)` Height that is passed as fixed height into the cells of a footer row.
    `java.lang.Float` | `findPDFHeightForHeaderRow(int rowIndex)` Height that is passed as fixed height into the cells of a header row.
    `java.lang.String` | `findTextColorForDataCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findTextColorForFooterCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.lang.String` | `findTextColorForHeaderCell(int rowIndex, java.lang.String dataCellValue, ColumnInfo column)`
    `java.util.List<java.util.List<java.lang.String>>` | `updateFooterRows(java.util.List<java.util.List<java.lang.String>> footerRows)` Allows to explicitly update the rows that form the footer part of the table.
    `java.util.List<java.util.List<java.lang.String>>` | `updateHeaderRows(java.util.List<java.util.List<java.lang.String>> headerRows)` Allows to explicitly update the rows that form the header part of the table.

- - ### Method Detail

    - #### findPDFHeightForDataRow

          java.lang.Float findPDFHeightForDataRow(int rowIndex)

      Height that is passed as fixed height into the cells of a data row. The height of a normal data cell is about 25.
      If return null as result then the height will be automatically calculated and follows the content of the cell.

    - #### findPDFHeightForHeaderRow

          java.lang.Float findPDFHeightForHeaderRow(int rowIndex)

      Height that is passed as fixed height into the cells of a header row. The height of a normal data cell is about 25.
      If return null as result then the height will be automatically calculated and follows the content of the cell.

    - #### findPDFHeightForFooterRow

          java.lang.Float findPDFHeightForFooterRow(int rowIndex)

      Height that is passed as fixed height into the cells of a footer row. The height of a normal data cell is about 25.
      If return null as result then the height will be automatically calculated and follows the content of the cell.

    - #### findBackgroundColorForDataCell

          java.lang.String findBackgroundColorForDataCell(int rowIndex,
                                                          java.lang.String dataCellValue,
                                                          ColumnInfo column)

      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findBackgroundColorForHeaderCell

          java.lang.String findBackgroundColorForHeaderCell(int headerRowIndex,
                                                            java.lang.String dataCellValue,
                                                            ColumnInfo column)

      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findBackgroundColorForFooterCell

          java.lang.String findBackgroundColorForFooterCell(int footerRowIndex,
                                                            java.lang.String dataCellValue,
                                                            ColumnInfo column)

      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findAlignmentForDataCell

          java.lang.String findAlignmentForDataCell(int rowIndex,
                                                    java.lang.String dataCellValue,
                                                    ColumnInfo column)

      Returns:
        "left", "center", "right"

    - #### findAlignmentForHeaderCell

          java.lang.String findAlignmentForHeaderCell(int headerRowIndex,
                                                      java.lang.String dataCellValue,
                                                      ColumnInfo column)

      Returns:
        "left", "center", "right"

    - #### findAlignmentForFooterCell

          java.lang.String findAlignmentForFooterCell(int footerRowIndex,
                                                      java.lang.String dataCellValue,
                                                      ColumnInfo column)

      Returns:
        "left", "center", "right"

    - #### findTextColorForDataCell

          java.lang.String findTextColorForDataCell(int rowIndex,
                                                    java.lang.String dataCellValue,
                                                    ColumnInfo column)

      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findTextColorForHeaderCell

          java.lang.String findTextColorForHeaderCell(int rowIndex,
                                                      java.lang.String dataCellValue,
                                                      ColumnInfo column)

      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findTextColorForFooterCell

          java.lang.String findTextColorForFooterCell(int rowIndex,
                                                      java.lang.String dataCellValue,
                                                      ColumnInfo column)

      Returns:
        Color string in the format #rrggbb or #rrggbbtt.

    - #### findFontForDataCell

          java.lang.String findFontForDataCell(int rowIndex,
                                               java.lang.String dataCellValue,
                                               ColumnInfo column)

      Returns:
        font value in semicolon separated format. CUrrently supported attributes are:
        . "weight:bold"
        . "size:xxx" (xxx represents integer value)

    - #### findFontForHeaderCell

          java.lang.String findFontForHeaderCell(int rowIndex,
                                                 java.lang.String dataCellValue,
                                                 ColumnInfo column)

      Returns:
        font value in semicolon separated format. CUrrently supported attributes are:
        . "weight:bold"
        . "size:xxx" (xxx represents integer value)

    - #### findFontForFooterCell

          java.lang.String findFontForFooterCell(int rowIndex,
                                                 java.lang.String dataCellValue,
                                                 ColumnInfo column)

      Returns:
        font value in semicolon separated format. CUrrently supported attributes are:
        . "weight:bold"
        . "size:xxx" (xxx represents integer value)

    - #### findColumnWidthForPDFColumn

          int findColumnWidthForPDFColumn(ColumnInfo column,
                                          int calculatedWidth)

      Explicitly pass back the PDF width of the column.
      Parameters:
        `calculatedWidth` - This is the width that is proposed by the default export algorithm. You might return this width by default.

    - #### updateHeaderRows

          java.util.List<java.util.List<java.lang.String>> updateHeaderRows(java.util.List<java.util.List<java.lang.String>> headerRows)

      Allows to explicitly update the rows that form the header part of the table.

    - #### updateFooterRows

          java.util.List<java.util.List<java.lang.String>> updateFooterRows(java.util.List<java.util.List<java.lang.String>> footerRows)

      Allows to explicitly update the rows that form the footer part of the table.

Copyright © CaptainCasa Gmbh. All Rights Reserved.